# Class: DataType

## HttpService. DataType

#### new DataType()

Source:
  - data/service/http-service.js, line 477

### Members

#### (static) BINARY :DataType

##### Type:

- DataType

Source:
  - data/service/http-service.js, line 483

#### (static) JSON :DataType

##### Type:

- DataType

Source:
  - data/service/http-service.js, line 490

#### (static) JSONP :DataType

##### Type:

- DataType

Source:
  - data/service/http-service.js, line 512

#### (static) TEXT :DataType

##### Type:

- DataType

Source:
  - data/service/http-service.js, line 540

#### (static) XML :DataType

##### Type:

- DataType

Source:
  - data/service/http-service.js, line 555